package main

import (
	"github.com/pretty66/websocketproxy"
	"net/http"
)

func main() {

	// 代理目标地址
	// 可设置握手前回调函数，修改request信息，增减头部，权限验证等等
	wp, err := websocketproxy.NewProxy("wss://162.62.97.146:8082/ws", func(r *http.Request) error {
		// 握手时设置cookie, 权限验证
		r.Header.Set("Cookie", "----")
		// 伪装来源
		//r.Header.Set("Origin", "http://82.157.123.54:9010")
		return nil
	})
	if err != nil {
		panic(err)
		//t.Fatal()
	}
	// 设置代理路径
	http.HandleFunc("/ws", wp.Proxy)
	http.ListenAndServe(":8082", nil)
}
